Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1494418 - [free-int]Prometheus metrics is not deployed
Summary: [free-int]Prometheus metrics is not deployed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Website
Version: 3.x
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Abhishek Gupta
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-22 08:41 UTC by Wenjing Zheng
Modified: 2018-03-05 18:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-05 18:16:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Wenjing Zheng 2017-09-22 08:41:13 UTC
Description of problem:
This bug is to confirm whether/when Prometheus metrics will be deployed on Online.

Version-Release number of selected component (if applicable):
v3.7.0-0.126.6 

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Wenjing Zheng 2018-01-15 07:20:16 UTC
Prometheus metrics haven't been deployed to free-int:
openshift v3.8.30
kubernetes v1.8.1+0d5291c
etcd 3.2.8

Comment 2 Junqi Zhao 2018-01-15 07:54:57 UTC
Prometheus is deployed under openshift-devops-monitor project, but it only contains 2 images, and uses latest tag,
image: x.x:5000/openshift-devops-monitor/prometheus:latest
image: x.x:5000/openshift-devops-monitor/oauth-proxy:latest

Actually, prometheus should contain 4 images
prometheus
prometheus-alert-buffer
prometheus-alertmanager
oauth-proxy

Comment 3 Wenjing Zheng 2018-01-15 08:05:55 UTC
Prometheus metrics is deployed to openshift-devops-monitor which is different from OCP, so please ignore comment #1. There will be a separate bug to track issue in comment #2.


Note You need to log in before you can comment on or make changes to this bug.